// Описать своими словами в несколько строчек, зачем в программировании нужны циклы.

// Задание
// Технические требования:
// Считать с помощью модального окна браузера число, которое введет пользователь.
// Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа. 
// Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.


// Необязательное задание продвинутой сложности:

// Проверить, что введенное значение является целым числом. 
// Если данное условие не соблюдается, повторять вывод окна на экран до тех пор, 
// пока не будет введено целое число.
// Считать два числа, m и n. Вывести в консоль все простые числа
//  в диапазоне от m до n (меньшее из введенных чисел будет m, бОльшее будет n). 
//  Если хотя бы одно из чисел не соблюдает условие валидации, указанное выше, 
//  вывести сообщение об ошибке, и спросить оба числа заново.


let num;

while (!Number.isInteger(num) && num !== null) {
    num =+prompt('Enter an integer');
}

if (num < 5) {
    alert('Sorry, no numbers');
} else {
    for (let i = 5; i <= num; i++) {
        if (i % 5 === 0) {
            console.log(i);
        }
    }
}


// Циклы позволяют повторять одну операцию много раз. Пока условия цикла удовлетворены -
// операция будет продолжать повторяться.
